package me.yoqi.android.netauth;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

import me.yoqi.android.netauth.ui.login.LoginActivity;
import me.yoqi.android.utils.SPUtils;

public class MainActivity extends AppCompatActivity {
    Button btnLogin;
    TextView tvStatus;
    SPUtils spUtils;
    Context mContext;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mContext = this;
        spUtils = new SPUtils(mContext);
        initView();
    }

    void initView() {
        btnLogin = findViewById(R.id.btn_login);
        tvStatus = findViewById(R.id.tv_status);

        btnLogin.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                gotoLogin();
            }
        });
        changeStatus();
    }

    void gotoLogin() {
        //跳转到登录界面
        Intent intent = new Intent(mContext, LoginActivity.class);
        startActivity(intent);
    }

    @Override
    protected void onResume() {
        super.onResume();
        changeStatus();
    }

    void changeStatus() {
        boolean netStatus = spUtils.getBoolean("status", false);
        if (netStatus) {
            tvStatus.setText("登录成功");
        } else {
            tvStatus.setText("未登录");
            gotoLogin();
        }
    }
}