package me.yoqi.android.utils;

import android.app.Service;
import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Build;

/**
 * 网络检测工具类
 *
 * @author liuyuqi.gov@msn.cn
 * @createTime 2020-08-18
 */
public class NetUtils {
    //检测网络是否可用，wifi or gps

    /**
     * 判断 WiFi 连接
     */
    public static boolean isWifiConnected(Context context) {
        ConnectivityManager connectivityManager = (ConnectivityManager) context.getSystemService(Service.CONNECTIVITY_SERVICE);
        if (android.os.Build.VERSION.SDK_INT >= Build.VERSION_CODES.M) {
            NetworkInfo networkInfo = connectivityManager.getActiveNetworkInfo();
            return networkInfo != null && networkInfo.isAvailable() && networkInfo.getType() == ConnectivityManager.TYPE_WIFI;
        } else {
            return false;
        }
    }
}

